object FormImportFilterFromFile: TFormImportFilterFromFile
  Left = 0
  Top = 0
  Caption = 'Import Filter from File'
  ClientHeight = 256
  ClientWidth = 424
  Color = clBtnFace
  Constraints.MinHeight = 260
  Constraints.MinWidth = 440
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  Position = poOwnerFormCenter
  OnCreate = onCreate
  OnShow = onShow
  DesignSize = (
    424
    256)
  PixelsPerInch = 96
  TextHeight = 13
  object LabelFilename: TLabel
    Left = 12
    Top = 8
    Width = 46
    Height = 13
    Caption = 'Filename:'
  end
  object EditFilename: TEdit
    Left = 72
    Top = 5
    Width = 236
    Height = 21
    Anchors = [akLeft, akTop, akRight]
    TabOrder = 0
    OnChange = onChangeFilename
  end
  object ButtonSelectFile: TButton
    Left = 314
    Top = 5
    Width = 21
    Height = 21
    Anchors = [akTop, akRight]
    Caption = '...'
    TabOrder = 1
    OnClick = ButtonSelectFileClick
  end
  object ButtonOkay: TButton
    Left = 341
    Top = 5
    Width = 75
    Height = 25
    Anchors = [akTop, akRight]
    Caption = '&Okay'
    Default = True
    ModalResult = 1
    TabOrder = 3
    OnClick = ButtonOkayClick
  end
  object ButtonCancel: TButton
    Left = 341
    Top = 36
    Width = 75
    Height = 25
    Anchors = [akTop, akRight]
    Caption = '&Cancel'
    ModalResult = 2
    TabOrder = 4
    OnClick = ButtonCancelClick
  end
  object PageControlDetails: TPageControl
    Left = 4
    Top = 32
    Width = 331
    Height = 220
    ActivePage = TabSheetSnortAlert
    Anchors = [akLeft, akTop, akRight, akBottom]
    TabOrder = 2
    object TabSheetHint: TTabSheet
      Caption = 'Hint'
      ImageIndex = 2
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 158
      object MemoMainStartHint: TMemo
        Left = 0
        Top = 0
        Width = 323
        Height = 192
        Align = alClient
        Alignment = taCenter
        Color = clInfoBk
        Enabled = False
        Lines.Strings = (
          ''
          'Select a file to import first'
          'Available formats are: capture files, Snort alert files, CSV'
          ''
          'Options will be displayed depending on file type chosen.')
        ReadOnly = True
        TabOrder = 0
      end
    end
    object TabSheetBeaconFile: TTabSheet
      Caption = 'Beacon File'
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 158
      object GroupBoxBeaconFile: TGroupBox
        Left = 0
        Top = 0
        Width = 323
        Height = 192
        Align = alClient
        Caption = 'Beacon File Options'
        TabOrder = 0
        ExplicitHeight = 158
        object CheckBoxBeaconIgnoreSYN: TCheckBox
          Left = 16
          Top = 24
          Width = 121
          Height = 17
          Caption = 'Ignore SYN packets'
          TabOrder = 0
        end
        object CheckBoxBeaconIgnoreICMP: TCheckBox
          Left = 188
          Top = 24
          Width = 118
          Height = 17
          Caption = 'Ignore ICMP packets'
          TabOrder = 1
        end
      end
    end
    object TabSheetSnortAlert: TTabSheet
      Caption = 'SnortAlert'
      ImageIndex = 1
      object GroupBoxSnortAlertOptions: TGroupBox
        Left = 0
        Top = 0
        Width = 323
        Height = 192
        Align = alClient
        Caption = 'Snort Alert File Options'
        TabOrder = 0
        DesignSize = (
          323
          192)
        object CheckBoxSnortIgnoreSYN: TCheckBox
          Left = 16
          Top = 24
          Width = 121
          Height = 17
          Hint = 
            'if selected, Snort hits on SYN packets will be ignored (e.g. SYN' +
            ' scans, blacklisted source IP hits, etc.)'
          Caption = 'Ignore SYN packets'
          Checked = True
          ParentShowHint = False
          ShowHint = True
          State = cbChecked
          TabOrder = 0
        end
        object CheckBoxSnortAutoAddMetaData: TCheckBox
          Left = 16
          Top = 54
          Width = 121
          Height = 17
          Caption = 'Auto add meta data'
          Checked = True
          State = cbChecked
          TabOrder = 3
          OnClick = onClickSnortAlertSettings
        end
        object CheckBoxSnortIgnoreICMP: TCheckBox
          Left = 188
          Top = 24
          Width = 118
          Height = 17
          Hint = 'if selected, Snort hits on ICMP packets will be ignored'
          Caption = 'Ignore ICMP packets'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
        end
        object LabeledEditFilterLabelTemplate: TLabeledEdit
          Left = 80
          Top = 108
          Width = 226
          Height = 21
          Hint = 
            'Possible placeholders are: <sid>, <rulename>, <classification> o' +
            'r any combination'
          Anchors = [akLeft, akTop, akRight]
          EditLabel.Width = 56
          EditLabel.Height = 13
          EditLabel.Caption = 'Filter Label:'
          LabelPosition = lpLeft
          LabelSpacing = 8
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
          Text = '<rulename>'
        end
        object MemoFilterLabelHint: TMemo
          Left = 16
          Top = 140
          Width = 290
          Height = 47
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'Signature ID:             <sid>'
            'Rule Name:                <rulename>'
            'Classification:            <classification>')
          ReadOnly = True
          TabOrder = 4
        end
        object LabeledEditRuleFile: TLabeledEdit
          Left = 80
          Top = 79
          Width = 197
          Height = 21
          Hint = 
            'Use this to  read snort rules to enhance the amount of meta info' +
            ' available'
          Anchors = [akLeft, akTop, akRight]
          EditLabel.Width = 49
          EditLabel.Height = 13
          EditLabel.Caption = 'Rule Files:'
          LabelPosition = lpLeft
          LabelSpacing = 8
          ParentShowHint = False
          ShowHint = True
          TabOrder = 5
          TextHint = 'Select optional Snort Rulefiles'
        end
        object ButtonSelectSnortRuleFiles: TButton
          Left = 285
          Top = 79
          Width = 21
          Height = 21
          Anchors = [akTop, akRight]
          Caption = '...'
          TabOrder = 6
          OnClick = ButtonSelectSnortRuleFilesClick
        end
      end
    end
    object TabSheetCSV: TTabSheet
      Caption = 'CSV'
      ImageIndex = 3
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 158
      object GroupBox1: TGroupBox
        Left = 0
        Top = 0
        Width = 323
        Height = 192
        Align = alClient
        Caption = 'GroupBox1'
        TabOrder = 0
        ExplicitHeight = 158
        DesignSize = (
          323
          192)
        object LabelCSVLineFormat: TLabel
          Left = 16
          Top = 21
          Width = 82
          Height = 13
          Caption = 'CSV Line Format:'
        end
        object LabelCSVSeparator: TLabel
          Left = 16
          Top = 51
          Width = 52
          Height = 13
          Caption = 'Separator:'
          Enabled = False
        end
        object Label3: TLabel
          Left = 16
          Top = 77
          Width = 179
          Height = 13
          Caption = 'Required CSV Line Format (Example):'
        end
        object MemoCSVRequiredLineFormat: TMemo
          Left = 16
          Top = 96
          Width = 297
          Height = 87
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'IPAddress'
            '192.168.0.1'
            '2001:db8::1')
          ReadOnly = True
          TabOrder = 0
        end
        object ComboBoxCSVFormat: TComboBox
          Left = 112
          Top = 18
          Width = 201
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akTop, akRight]
          ItemIndex = 0
          TabOrder = 1
          Text = 'IP Address'
          OnChange = onChangeCSVLineFormat
          Items.Strings = (
            'IP Address'
            'IP Address Pair'
            'Socket '
            'Socket Pair'
            '5-Tuple')
        end
        object EditCSVSeparator: TEdit
          Left = 112
          Top = 48
          Width = 21
          Height = 21
          Enabled = False
          TabOrder = 2
          Text = ','
          OnExit = onChangeCSVLineFormat
        end
      end
    end
  end
  object OpenDialog: TOpenDialog
    Filter = 
      'All supported File Types (*.pcap, *.pcapng, *.ids, *.snort, *.cs' +
      'v)|*.pcap;*.pcapng;*.ids;snort*.*;*.csv|Beacon File (*.pcap, *.p' +
      'capng)|*.pcap;*.pcapng|Snort Alert log (*.ids,snort*.*)|*.ids;sn' +
      'ort*.*|Comma separated List (*.csv)|*.csv|Any File (*.*)|*.*'
    FilterIndex = 0
    Options = [ofHideReadOnly, ofPathMustExist, ofFileMustExist, ofEnableSizing]
    Left = 364
    Top = 76
  end
  object OpenDialogSnortRules: TOpenDialog
    Filter = 'Snort rule files (*.rules)|*.rules|Any File (*.*)|*.*'
    FilterIndex = 0
    Options = [ofHideReadOnly, ofAllowMultiSelect, ofPathMustExist, ofFileMustExist, ofEnableSizing]
    Left = 364
    Top = 124
  end
end
