{ TraceWrangler - Network Capture File Toolkit
  By Jasper Bongertz <jasper@packet-foo.com>
  Copyright 2016 Jasper Bongertz
 
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
}

unit dialog_fqdn_editor;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VirtualTrees, Vcl.StdCtrls, Vcl.ComCtrls;

type
  TFormFQDNEditor = class(TForm)
    StatusBar: TStatusBar;
    ButtonOkay: TButton;
    ButtonCancel: TButton;
    VSTFQDNEditor: TVirtualStringTree;
    procedure onCreate(Sender: TObject);
  private
         { Private declarations }
  public
        { Public declarations }
  end;

var
  FormFQDNEditor: TFormFQDNEditor;

implementation

{$R *.dfm}

uses definition_ip_addresses;

type tFQDNEditorEntry = record
                              domainname  : string;
                              IPVersion   : byte;
                              IPv4Address : tIPv4Address;
                              IPv6Address : tIPv6Address;
                        end;

procedure TFormFQDNEditor.onCreate(Sender: TObject);

begin
     // Workaround for scaling problems: look for /noscale command line option

     self.Scaled := FindCmdLineSwitch ('noscale');
end;

end.
