object FormTaskAnonymize: TFormTaskAnonymize
  Left = 0
  Top = 0
  Caption = 'Task Details - Anonymization'
  ClientHeight = 562
  ClientWidth = 894
  Color = clBtnFace
  Constraints.MinHeight = 600
  Constraints.MinWidth = 700
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  Position = poOwnerFormCenter
  OnCreate = onCreate
  OnResize = onResize
  OnShow = onShow
  DesignSize = (
    894
    562)
  PixelsPerInch = 96
  TextHeight = 13
  object PageControlSettings: TPageControl
    Left = 135
    Top = 8
    Width = 751
    Height = 545
    ActivePage = TabSheetICMPv4
    Anchors = [akLeft, akTop, akRight, akBottom]
    PopupMenu = PopupMenuVirtualStringTrees
    TabOrder = 1
    object TabSheetPayload: TTabSheet
      Caption = 'Payload'
      ImageIndex = 3
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxGeneralSettingTruncate: TGroupBox
        Left = 10
        Top = 63
        Width = 727
        Height = 444
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for Payload Sanitization'
        TabOrder = 0
        DesignSize = (
          727
          444)
        object LabelReplacePayloadPattern: TLabel
          Left = 32
          Top = 56
          Width = 146
          Height = 13
          Caption = 'Payload Replacement Pattern:'
          Enabled = False
        end
        object LabelHintPayloadEditor: TLabel
          Left = 188
          Top = 416
          Width = 366
          Height = 13
          Anchors = [akLeft, akBottom]
          Caption = 
            '** Hint: use F2 to edit cells, or double click slowly. Tab moves' +
            ' to next cell **'
          Enabled = False
        end
        object CheckboxGeneralActionPacketTruncateAfterLayer: TCheckBox
          Left = 16
          Top = 87
          Width = 395
          Height = 17
          Hint = 
            'If checked, TraceWrangler will truncate each packet after the la' +
            'yer specified'
          Anchors = [akLeft, akTop, akRight]
          Caption = 'Truncate Packets after layer:'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
          OnClick = onChangePayloadSettings
        end
        object ComboBoxGeneralPacketSlicingLayer: TComboBox
          Left = 192
          Top = 85
          Width = 121
          Height = 21
          Style = csDropDownList
          Enabled = False
          ItemIndex = 2
          TabOrder = 0
          Text = 'Layer4 (TCP/UDP)'
          OnKeyPress = onKeyPressNumbersAllowedOnly
          Items.Strings = (
            'Layer2 (Ethernet)'
            'Layer3 (IPv4/IPv6)'
            'Layer4 (TCP/UDP)')
        end
        object CheckboxGeneralActionPacketTruncateAfterOffset: TCheckBox
          Left = 16
          Top = 119
          Width = 395
          Height = 17
          Hint = 
            'If checked, all packets will be truncated at the offset specifie' +
            'd'
          Anchors = [akLeft, akTop, akRight]
          Caption = 'Truncate Packets after offset:'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 3
          OnClick = onChangePayloadSettings
        end
        object EditGeneralPacketSlicingOffset: TEdit
          Left = 192
          Top = 117
          Width = 49
          Height = 21
          Enabled = False
          NumbersOnly = True
          TabOrder = 4
          Text = '54'
          OnChange = onChangePayloadSettings
        end
        object UpDownGeneralPacketSlicingOffset: TUpDown
          Left = 241
          Top = 117
          Width = 16
          Height = 21
          Associate = EditGeneralPacketSlicingOffset
          Enabled = False
          Max = 100000
          Position = 54
          TabOrder = 5
        end
        object CheckboxGeneralActionPacketTruncateUnknownPayload: TCheckBox
          Left = 16
          Top = 24
          Width = 173
          Height = 17
          Hint = 
            'If checked, all layers that Tracewrangler does not know how to p' +
            'arse will left out in the sanitized file'
          Caption = 'Remove all unknown layers and'
          Checked = True
          ParentShowHint = False
          ShowHint = True
          State = cbChecked
          TabOrder = 1
          OnClick = onChangePayloadSettings
        end
        object CheckboxReplacePayloadStrings: TCheckBox
          Left = 16
          Top = 151
          Width = 447
          Height = 17
          Hint = 
            'Replaces string according to the list in all unknown payloads. T' +
            'his setting is only available if none of the other settings are ' +
            'active!'
          Anchors = [akLeft, akTop, akRight]
          Caption = 'Replace specific strings in unknown payloads'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 6
          OnClick = onChangePayloadSettings
        end
        object CheckboxReplacePayloadStringsCaseInsensitive: TCheckBox
          Left = 32
          Top = 174
          Width = 307
          Height = 17
          Anchors = [akLeft, akTop, akRight]
          Caption = 'Case Insensitive'
          Checked = True
          State = cbChecked
          TabOrder = 7
        end
        object ComboBoxGeneralPayloadRemovalMode: TComboBox
          Left = 192
          Top = 22
          Width = 173
          Height = 21
          Style = csDropDownList
          ItemIndex = 0
          TabOrder = 8
          Text = 'cut away bytes from packets'
          OnChange = onChangePayloadSettings
          Items.Strings = (
            'cut away bytes from packets'
            'replace bytes with zeroes'
            'replace bytes with pattern')
        end
        object EditPayloadOverwritePattern: TEdit
          Left = 192
          Top = 53
          Width = 523
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          Enabled = False
          TabOrder = 9
          Text = 'Payload removed by TraceWrangler!'
        end
        object VSTPayloadReplacementStrings: TVirtualStringTree
          Left = 16
          Top = 197
          Width = 699
          Height = 208
          Anchors = [akLeft, akTop, akRight, akBottom]
          Colors.UnfocusedColor = clMedGray
          Enabled = False
          Header.AutoSizeIndex = 0
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuReplacementStrings
          TabOrder = 10
          TreeOptions.AutoOptions = [toAutoDropExpand, toAutoTristateTracking, toAutoDeleteMovedNodes]
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toGridExtensions, toInitOnSave, toToggleOnDblClick, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines]
          TreeOptions.SelectionOptions = [toExtendedFocus, toCenterScrollIntoView]
          TreeOptions.StringOptions = [toAutoAcceptEditChange]
          OnChange = onVSTReplacementStringsChange
          OnCreateEditor = onVSTReplacementStringsCreateEditor
          OnEdited = onVSTReplacementStringsEdited
          OnGetText = onVSTPayloadReplacementStringsGetText
          OnPaintText = onVSTPayloadReplacementStringsPaintText
          Columns = <
            item
              Position = 0
              Width = 415
              WideText = 'Original String'
            end
            item
              Position = 1
              Width = 240
              WideText = 'Replacement String'
            end
            item
              Options = [coAllowClick, coDraggable, coEnabled, coParentBidiMode, coParentColor, coResizable, coShowDropMark, coVisible, coAllowFocus]
              Position = 2
              Width = 40
              WideText = 'Delta'
            end>
        end
        object CheckboxGeneralActionPacketTruncateReAddPadding: TCheckBox
          Left = 376
          Top = 24
          Width = 97
          Height = 17
          Hint = 
            'if checked, the zero or pattern replacement will be added for pa' +
            'ckets that had been sliced during capture'
          Caption = 'Re-Pad if sliced'
          Enabled = False
          ParentShowHint = False
          ShowHint = True
          TabOrder = 11
          OnClick = onChangePayloadSettings
        end
        object CheckboxReplacePayloadStringsDoNotEnforceSameLength: TCheckBox
          Left = 168
          Top = 174
          Width = 285
          Height = 17
          Hint = 
            'Warning: if this setting is enabled, replacements of different l' +
            'engths will not be corrected. This can lead to trouble.'
          Caption = 'Do not enforce same length on replacement (Warning!)'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 12
        end
      end
      object MemoPayloadHint: TMemo
        Tag = -1
        Left = 10
        Top = 3
        Width = 725
        Height = 54
        Anchors = [akLeft, akTop, akRight]
        Color = clInfoBk
        Enabled = False
        Lines.Strings = (
          
            'All protocols and layers that cannot be sanitized will be remove' +
            'd from each packet')
        ReadOnly = True
        TabOrder = 1
      end
    end
    object TabSheetPCAPng: TTabSheet
      Caption = 'PCAPng'
      ImageIndex = 9
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxPCAPngActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 382
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Settings for PCAPng Sanitization'
        TabOrder = 0
        object LabelPCAPngActionCommentMethod: TLabel
          Left = 32
          Top = 60
          Width = 40
          Height = 13
          Caption = 'Method:'
          Enabled = False
        end
        object LabelPCAPngActionSanitizeIHBInterfaceNames: TLabel
          Left = 32
          Top = 124
          Width = 84
          Height = 13
          Caption = 'Interface Names:'
          Enabled = False
        end
        object LabelPCAPngActionSanitizeNRBMethod: TLabel
          Left = 32
          Top = 214
          Width = 40
          Height = 13
          Caption = 'Method:'
          Enabled = False
        end
        object LabelPCAPngActionSanitizeIHBCaptureFilters: TLabel
          Left = 32
          Top = 156
          Width = 75
          Height = 13
          Caption = 'Capture Filters:'
          Enabled = False
        end
        object CheckboxPCAPngActionSanitizeComments: TCheckBox
          Left = 19
          Top = 28
          Width = 125
          Height = 17
          Caption = 'Sanitize Comments:'
          Enabled = False
          TabOrder = 0
          OnClick = onChangePCAPngSettings
        end
        object ComboBoxPCAPngActionSanitizeCommentScope: TComboBox
          Left = 150
          Top = 26
          Width = 167
          Height = 21
          Style = csDropDownList
          Enabled = False
          ItemIndex = 0
          TabOrder = 1
          Text = 'File and Packet Comments'
          Items.Strings = (
            'File and Packet Comments'
            'File Comments'
            'Packet Comments')
        end
        object ComboBoxPCAPngActionSanitizeCommentMethod: TComboBox
          Left = 150
          Top = 57
          Width = 167
          Height = 21
          Style = csDropDownList
          Enabled = False
          ItemIndex = 0
          TabOrder = 2
          Text = 'Remove all'
          Items.Strings = (
            'Remove all'
            'Ask for each comment')
        end
        object CheckboxPCAPngActionSanitizeInterfaceBlocks: TCheckBox
          Left = 16
          Top = 96
          Width = 177
          Height = 17
          Caption = 'Sanitize Interface Header Blocks'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 3
          OnClick = onChangePCAPngSettings
        end
        object ComboBoxPCAPngActionSanitizeIHBInterfaceNames: TComboBox
          Left = 150
          Top = 121
          Width = 235
          Height = 21
          Style = csDropDownList
          Enabled = False
          ItemIndex = 0
          TabOrder = 4
          Text = 'Replace with generic interface name'
          Items.Strings = (
            'Replace with generic interface name'
            'Set to blank'
            'Keep as is')
        end
        object CheckboxPCAPngActionSanitizeNameResolutionBlocks: TCheckBox
          Left = 16
          Top = 187
          Width = 229
          Height = 17
          Caption = 'Sanitize Name Resolution Header Blocks'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 5
          OnClick = onChangePCAPngSettings
        end
        object ComboBoxPCAPngActionSanitizeNRBMethod: TComboBox
          Left = 150
          Top = 211
          Width = 235
          Height = 21
          Style = csDropDownList
          Enabled = False
          ItemIndex = 0
          TabOrder = 6
          Text = 'Remove name resolution block completely'
          Items.Strings = (
            'Remove name resolution block completely')
        end
        object CheckboxPCAPngActionSanitizePacketOptions: TCheckBox
          Left = 16
          Top = 244
          Width = 237
          Height = 17
          Caption = 'Sanitize Packet Options (unused as of now)'
          Enabled = False
          TabOrder = 7
          Visible = False
        end
        object ComboBoxPCAPngActionSanitizeIHBCaptureFilters: TComboBox
          Left = 150
          Top = 153
          Width = 145
          Height = 21
          Style = csDropDownList
          Enabled = False
          ItemIndex = 0
          TabOrder = 8
          Text = 'Remove filter string'
          Items.Strings = (
            'Remove filter string'
            'Keep as is')
        end
      end
      object GroupBoxPCAPngAction: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 1
        DesignSize = (
          727
          70)
        object RadioButtonPCAPngActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangePCAPngSettings
        end
        object RadioButtonPCAPngActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangePCAPngSettings
        end
        object MemoPCAPngActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            
              'Information kept in additional PCAPng headers and packet details' +
              ' will not '
            'be modified')
          ReadOnly = True
          TabOrder = 2
        end
      end
    end
    object TabSheet802dot11: TTabSheet
      Caption = '802.11'
      ImageIndex = 15
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBox802dot11Action: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButton802dot11ActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChange802dot11Settings
        end
        object RadioButton802dot11ActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChange802dot11Settings
        end
        object Memo802dot11ActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'The 802.11 layer will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBox802dot11ActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 431
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for 802.11 Replacement'
        Enabled = False
        TabOrder = 1
        object LabelHintSSIDReplacementList: TLabel
          Left = 108
          Top = 235
          Width = 366
          Height = 13
          Caption = 
            '** Hint: use F2 to edit cells, or double click slowly. Tab moves' +
            ' to next cell **'
          Enabled = False
        end
        object Checkbox802dot11ActionReplaceSSIDByList: TCheckBox
          Left = 16
          Top = 28
          Width = 185
          Height = 17
          Caption = 'Replace SSIDs by list:'
          Enabled = False
          TabOrder = 0
          OnClick = onChange802dot11Settings
        end
        object VST802dot11SSIDReplacementList: TVirtualStringTree
          Left = 32
          Top = 51
          Width = 537
          Height = 178
          Header.AutoSizeIndex = 1
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          TabOrder = 1
          TreeOptions.AutoOptions = [toAutoDropExpand, toAutoTristateTracking, toAutoDeleteMovedNodes]
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toGridExtensions, toInitOnSave, toToggleOnDblClick, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines]
          TreeOptions.SelectionOptions = [toExtendedFocus, toCenterScrollIntoView]
          TreeOptions.StringOptions = [toAutoAcceptEditChange]
          OnChange = onVSTReplacementStringsChange
          OnCreateEditor = onVSTReplacementStringsCreateEditor
          OnEdited = onVSTReplacementStringsEdited
          OnGetText = onVST802dot11ReplacementListGetText
          Columns = <
            item
              Position = 0
              Width = 250
              WideText = 'Original SSID'
            end
            item
              Position = 1
              Width = 287
              WideText = 'Replacement SSID'
            end>
        end
        object CheckBox802dot11AutoReplaceRemainingSSIDs: TCheckBox
          Left = 16
          Top = 268
          Width = 222
          Height = 17
          Caption = 'Auto replace remaining SSIDs with prefix:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 2
          OnClick = onChange802dot11Settings
        end
        object CheckBox802dot11KeepUnknownTaggedParameters: TCheckBox
          Left = 16
          Top = 300
          Width = 217
          Height = 17
          Hint = 
            'If checked, unknown tagged parameter sets will be copied to the ' +
            'sanitized frame unmodified'
          Caption = 'Keep Unknown Tagged Parameters'
          Enabled = False
          TabOrder = 3
          OnClick = onChange802dot11Settings
        end
        object Edit802dot11AutoReplaceRemainingSSIDsPrefix: TEdit
          Left = 244
          Top = 266
          Width = 177
          Height = 21
          Enabled = False
          TabOrder = 4
          Text = 'Redacted SSID #'
        end
      end
    end
    object TabSheetEthernet: TTabSheet
      Caption = 'Ethernet'
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxEthernetAction: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonEthernetActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeEthernetSettings
        end
        object RadioButtonEthernetActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeEthernetSettings
        end
        object MemoEthernetActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'The Ethernet layer will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxEthernetActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 426
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for MAC Replacement'
        Enabled = False
        TabOrder = 1
        DesignSize = (
          727
          426)
        object CheckboxEthernetActionLeaveVendorIntact: TCheckBox
          Left = 32
          Top = 281
          Width = 157
          Height = 17
          Hint = 
            'If checked, the first three bytes of each MAC address will be ke' +
            'pt, allowing the vendor to be identified'
          Anchors = [akLeft, akBottom]
          Caption = 'Leave vendor octets intact'
          Enabled = False
          ParentShowHint = False
          ShowHint = True
          TabOrder = 5
          OnClick = onChangeEthernetSettings
        end
        object CheckboxEthernetActionReplaceByList: TCheckBox
          Left = 16
          Top = 28
          Width = 185
          Height = 17
          Caption = 'Replace MAC addresses by list:'
          Enabled = False
          TabOrder = 0
          OnClick = onChangeEthernetSettings
        end
        object CheckBoxProcessRemainingEthernetAddresses: TCheckBox
          Left = 16
          Top = 253
          Width = 177
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Process remaining MAC addresses:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 4
          OnClick = onChangeEthernetSettings
        end
        object ButtonEthernetMACListAdd: TButton
          Left = 379
          Top = 51
          Width = 75
          Height = 25
          Caption = '&Add'
          DropDownMenu = PopupMenuAddButtons
          Enabled = False
          PopupMenu = PopupMenuAddButtons
          Style = bsSplitButton
          TabOrder = 1
          OnClick = ButtonEthernetMACListAddClick
          OnDropDownClick = onButtonAddDropDownClick
        end
        object ButtonEthernetMACListEdit: TButton
          Left = 379
          Top = 82
          Width = 75
          Height = 25
          Caption = '&Edit'
          Enabled = False
          TabOrder = 2
          OnClick = ButtonEthernetMACListEditClick
        end
        object ButtonEthernetMACListRemove: TButton
          Left = 379
          Top = 113
          Width = 75
          Height = 25
          Caption = '&Remove'
          Enabled = False
          TabOrder = 3
          OnClick = ButtonEthernetMACListRemoveClick
        end
        object VSTMACAddressList: TVirtualStringTree
          Left = 32
          Top = 51
          Width = 341
          Height = 178
          Anchors = [akLeft, akTop, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 2
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuVirtualStringTrees
          TabOrder = 6
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect, toMultiSelect]
          OnChange = onVSTMACAddressListChange
          OnDblClick = onVSTMACAddressListDblClick
          OnDrawText = onVSTMACAddressListDrawText
          OnEditing = onVSTMACAddressListEditing
          OnFocusChanged = onVSTMACAddressListFocusChanged
          OnGetText = onVSTMACAddressListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          OnKeyPress = onKeyPressHexAndColonsOnly
          OnNewText = onVSTMACAddressListNewText
          Columns = <
            item
              Position = 0
              Width = 120
              WideText = 'Original MAC'
            end
            item
              Position = 1
              Width = 120
              WideText = 'Replacement MAC'
            end
            item
              Position = 2
              Width = 97
              WideText = 'Defined By'
            end>
        end
        object CheckBoxEthernetRecalculateCRC: TCheckBox
          Left = 16
          Top = 308
          Width = 109
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Recalculate CRC:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 7
          OnClick = onChangeIPv4Settings
        end
        object ComboBoxEthernetRecalculateCRCMode: TComboBox
          Left = 140
          Top = 306
          Width = 157
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          ItemIndex = 0
          TabOrder = 8
          Text = 'Keep bad checksums bad'
          Items.Strings = (
            'Keep bad checksums bad'
            'Fix all checksums')
        end
        object CheckBoxEthernetPreserveTrailer: TCheckBox
          Left = 16
          Top = 340
          Width = 185
          Height = 17
          Hint = 
            'If checked, any bytes trailing the Ethernet payload will be kept' +
            ' intact. Otherwise they will be zeroed'
          Anchors = [akLeft, akBottom]
          Caption = 'Preserve Ethernet trailer (if any)'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 9
        end
        object ComboBoxRemainingEthernetAddressesProcessMode: TComboBox
          Left = 204
          Top = 251
          Width = 173
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          ItemIndex = 0
          TabOrder = 10
          Text = 'Randomize'
          OnChange = onChangeEthernetSettings
          Items.Strings = (
            'Randomize'
            'Black Marker (zero bytes)')
        end
      end
    end
    object TabSheetVLAN: TTabSheet
      Caption = 'VLAN'
      ImageIndex = 5
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxVLANAction: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonVLANActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeVLANSettings
        end
        object RadioButtonVLANActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeVLANSettings
        end
        object MemoVLANActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'VLAN tag information will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxVLANActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 426
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for VLAN Replacement'
        TabOrder = 1
        DesignSize = (
          727
          426)
        object CheckboxVLANActionReplaceByList: TCheckBox
          Left = 16
          Top = 28
          Width = 145
          Height = 17
          Caption = 'Replace VLAN IDs by list:'
          Enabled = False
          TabOrder = 0
          OnClick = onChangeVLANSettings
        end
        object CheckBoxVLANActionRandomizeIDs: TCheckBox
          Left = 16
          Top = 370
          Width = 133
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Randomize VLAN IDs'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 4
          OnClick = onChangeVLANSettings
        end
        object ButtonVLANListAdd: TButton
          Left = 246
          Top = 51
          Width = 75
          Height = 25
          Caption = '&Add'
          Enabled = False
          TabOrder = 1
          OnClick = ButtonVLANListAddClick
        end
        object ButtonVLANListEdit: TButton
          Left = 246
          Top = 82
          Width = 75
          Height = 25
          Caption = '&Edit'
          Enabled = False
          TabOrder = 2
          OnClick = ButtonVLANListEditClick
        end
        object ButtonVLANListRemove: TButton
          Left = 246
          Top = 113
          Width = 75
          Height = 25
          Caption = '&Remove'
          Enabled = False
          TabOrder = 3
          OnClick = ButtonVLANListRemoveClick
        end
        object CheckboxVLANActionRemoveTag: TCheckBox
          Left = 16
          Top = 235
          Width = 128
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Remove VLAN Tags:'
          Enabled = False
          TabOrder = 5
          OnClick = onChangeVLANSettings
        end
        object ComboBoxVLANActionRemoveTag: TComboBox
          Left = 150
          Top = 233
          Width = 145
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          Enabled = False
          ItemIndex = 0
          TabOrder = 6
          Text = 'remove all'
          OnChange = onChangeVLANSettings
          Items.Strings = (
            'remove all'
            'remove listed VLANs'
            'remove unlisted VLANs')
        end
        object ListBoxVLANActionRemoveVLANIDs: TListBox
          Left = 32
          Top = 260
          Width = 61
          Height = 100
          Anchors = [akLeft, akBottom]
          Enabled = False
          ItemHeight = 13
          TabOrder = 7
          OnClick = onChangeVLANSettings
        end
        object ButtonListBoxVLANActionRemoveVLANIDsClear: TButton
          Left = 99
          Top = 322
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Clear'
          Enabled = False
          TabOrder = 8
          OnClick = ButtonListBoxVLANActionRemoveVLANIDsClearClick
        end
        object VSTVLANIDList: TVirtualStringTree
          Left = 32
          Top = 51
          Width = 208
          Height = 172
          Anchors = [akLeft, akTop, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 0
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuVirtualStringTrees
          TabOrder = 9
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect]
          OnDblClick = onVSTVLANIDDblClick
          OnDrawText = onVSTVLANIDDrawText
          OnFocusChanged = onVSTVLANIDFocusChanged
          OnGetText = onVSTVLANIDGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          OnNewText = onVSTVLANIDListNewText
          Columns = <
            item
              Position = 0
              Width = 100
              WideText = 'Original VLAN ID'
            end
            item
              Position = 1
              Width = 100
              WideText = 'Replacement ID'
            end>
        end
        object ButtonListBoxVLANActionRemoveVLANIDsRemove: TButton
          Left = 99
          Top = 291
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = 'Re&move'
          Enabled = False
          TabOrder = 10
          OnClick = ButtonListBoxVLANActionRemoveVLANIDsRemoveClick
        end
        object ButtonListBoxVLANActionRemoveVLANIDsAdd: TButton
          Left = 99
          Top = 260
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = 'A&dd'
          Enabled = False
          TabOrder = 11
          OnClick = ButtonListBoxVLANActionRemoveVLANIDsAddClick
        end
      end
    end
    object TabSheetTunnel: TTabSheet
      Caption = 'Tunnel'
      ImageIndex = 6
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxTunnelAction: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonTunnelActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeTunnelSettings
        end
        object RadioButtonTunnelActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeTunnelSettings
        end
        object MemoTunnelActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'Tunneling information will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxTunnelActionSettingsAYIYAReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 311
        Height = 105
        Caption = 'AYIYA'
        Enabled = False
        TabOrder = 1
        object CheckboxAYIYAActionReplace: TCheckBox
          Left = 16
          Top = 28
          Width = 237
          Height = 17
          Caption = 'Replace Idenity and Signature with Zeroes'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 0
          OnClick = onChangeTunnelSettings
        end
      end
      object GroupBoxTunnelActionSettingsMPLSReplacement: TGroupBox
        Left = 336
        Top = 79
        Width = 401
        Height = 105
        Caption = 'MPLS'
        TabOrder = 2
        object LabelMPLSMaximumLabelValue: TLabel
          Left = 32
          Top = 56
          Width = 77
          Height = 13
          Caption = 'Maximum value:'
        end
        object CheckBoxRandomizeLabels: TCheckBox
          Left = 16
          Top = 28
          Width = 113
          Height = 17
          Caption = 'Randomize Labels'
          Checked = True
          State = cbChecked
          TabOrder = 0
          OnClick = onChangeTunnelSettings
        end
        object EditMPLSMaximumLabelValue: TEdit
          Left = 124
          Top = 53
          Width = 81
          Height = 21
          NumbersOnly = True
          TabOrder = 1
          Text = '1048575'
          OnExit = onExitMPLSMaximumLabelValue
        end
        object UpDownMPLSMaximumLabelValue: TUpDown
          Left = 205
          Top = 53
          Width = 16
          Height = 21
          Associate = EditMPLSMaximumLabelValue
          Min = 32
          Max = 1048575
          Position = 1048575
          TabOrder = 2
        end
      end
    end
    object TabSheetIPv4: TTabSheet
      Caption = 'IPv4'
      ImageIndex = 1
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxIPv4Action: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonIPv4ActionPassThrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeIPv4Settings
        end
        object RadioButtonIPv4ActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeIPv4Settings
        end
        object MemoIPv4ActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'IPv4 layer will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxIPv4ActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 432
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for IPv4 Replacement'
        TabOrder = 1
        DesignSize = (
          727
          432)
        object LabelRandomizeIPv4Include: TLabel
          Left = 32
          Top = 311
          Width = 47
          Height = 13
          Anchors = [akLeft, akBottom]
          Caption = 'Including:'
          ExplicitTop = 300
        end
        object LabelRandomizeIPv4PrivateMode: TLabel
          Left = 32
          Top = 341
          Width = 98
          Height = 13
          Anchors = [akLeft, akBottom]
          Caption = 'Private range mode:'
          ExplicitTop = 332
        end
        object CheckBoxProcessRemainingIPv4Addresses: TCheckBox
          Left = 16
          Top = 286
          Width = 178
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Process remaining IP addresses:'
          Checked = True
          Enabled = False
          ParentShowHint = False
          ShowHint = False
          State = cbChecked
          TabOrder = 0
          OnClick = onChangeIPv4Settings
        end
        object CheckBoxReplaceIPv4AddressesByList: TCheckBox
          Left = 16
          Top = 28
          Width = 185
          Height = 17
          Hint = 
            'If an IP address is found in the list, it will be replaced with ' +
            'the replacement address from the list'
          Caption = 'Replace IP addresses by list'
          Checked = True
          Enabled = False
          ParentShowHint = False
          ShowHint = True
          State = cbChecked
          TabOrder = 1
          OnClick = onChangeIPv4Settings
        end
        object ButtonIPv4AddressListAdd: TButton
          Left = 391
          Top = 51
          Width = 75
          Height = 25
          Caption = '&Add'
          DropDownMenu = PopupMenuAddButtons
          Enabled = False
          PopupMenu = PopupMenuAddButtons
          Style = bsSplitButton
          TabOrder = 2
          OnClick = ButtonIPv4AddressListAddClick
          OnDropDownClick = onButtonAddDropDownClick
        end
        object ButtonIPv4AddressListEdit: TButton
          Left = 391
          Top = 82
          Width = 75
          Height = 25
          Caption = '&Edit'
          Enabled = False
          TabOrder = 3
          OnClick = ButtonIPv4AddressListEditClick
        end
        object ButtonIPv4AddressListRemove: TButton
          Left = 391
          Top = 113
          Width = 75
          Height = 25
          Caption = '&Remove'
          Enabled = False
          TabOrder = 4
          OnClick = ButtonIPv4AddressListRemoveClick
        end
        object CheckBoxReplaceIPv4AddressesBySubnets: TCheckBox
          Left = 16
          Top = 163
          Width = 199
          Height = 17
          Hint = 
            'If checked and an IP is found to match a subnet, it will be repl' +
            'aced with an address of the new subnet'
          Anchors = [akLeft, akBottom]
          Caption = 'Replace IP addresses by subnet and'
          Enabled = False
          ParentShowHint = False
          ShowHint = True
          TabOrder = 5
          OnClick = onChangeIPv4Settings
        end
        object ButtonIPv4SubnetListAdd: TButton
          Left = 299
          Top = 186
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Add'
          Enabled = False
          TabOrder = 6
          OnClick = ButtonIPv4SubnetListAddClick
        end
        object ButtonIPv4SubnetListEdit: TButton
          Left = 299
          Top = 217
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Edit'
          Enabled = False
          TabOrder = 7
          OnClick = ButtonIPv4SubnetListEditClick
        end
        object ButtonIPv4SubnetListRemove: TButton
          Left = 299
          Top = 248
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Remove'
          Enabled = False
          TabOrder = 8
          OnClick = ButtonIPv4SubnetListRemoveClick
        end
        object ComboBoxIPv4ActionSubnetListMode: TComboBox
          Left = 216
          Top = 161
          Width = 158
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          Enabled = False
          ItemIndex = 0
          TabOrder = 9
          Text = 'keep host part'
          Items.Strings = (
            'keep host part'
            'randomize host part')
        end
        object CheckBoxRandomizeIPv4ID: TCheckBox
          Left = 16
          Top = 375
          Width = 177
          Height = 17
          Hint = 
            'If checked, IP IDs will be randomized. Fragments will be assigne' +
            'd with the same new IP ID to keep consistency'
          Anchors = [akLeft, akBottom]
          Caption = 'Randomize IP Identification'
          Enabled = False
          ParentShowHint = False
          ShowHint = True
          TabOrder = 10
          OnClick = onChangeIPv4Settings
        end
        object CheckBoxIPRecalculateCRC: TCheckBox
          Left = 16
          Top = 400
          Width = 109
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Recalculate CRC:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 11
          OnClick = onChangeIPv4Settings
        end
        object ComboBoxIPRecalculateCRCMode: TComboBox
          Left = 140
          Top = 398
          Width = 157
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          ItemIndex = 0
          TabOrder = 12
          Text = 'Keep bad checksums bad'
          Items.Strings = (
            'Keep bad checksums bad'
            'Fix all checksums')
        end
        object VSTIPv4AddressList: TVirtualStringTree
          Left = 32
          Top = 51
          Width = 353
          Height = 98
          Anchors = [akLeft, akTop, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 2
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuAddButtons
          TabOrder = 13
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect, toMultiSelect]
          OnChange = onVSTIPv4AddressListChange
          OnDblClick = onVSTIPv4AddressListDblClick
          OnDrawText = onVSTIPv4AddressListDrawText
          OnEditing = onVSTIPv4AddressListEditing
          OnFocusChanged = onVSTIPv4AddressListFocusChanged
          OnGetText = onVSTIPv4AddressListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          OnNewText = onVSTIPv4AddressListNewText
          Columns = <
            item
              Position = 0
              Width = 120
              WideText = 'Original IP'
            end
            item
              Position = 1
              Width = 120
              WideText = 'Replacement'
            end
            item
              Position = 2
              Width = 109
              WideText = 'Defined by'
            end>
        end
        object VSTIPv4SubnetList: TVirtualStringTree
          Left = 32
          Top = 186
          Width = 261
          Height = 87
          Anchors = [akLeft, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 0
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuVirtualStringTrees
          TabOrder = 14
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect, toMultiSelect]
          OnChange = onVSTIPv4SubnetListChange
          OnDblClick = onVSTIPv4SubnetListDblClick
          OnDrawText = onVSTIPv4SubnetListDrawText
          OnFocusChanged = onVSTIPv4SubnetListFocusChanged
          OnGetText = onVSTIPv4SubnetListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          OnNewText = onVSTIPv4SubnetListNewText
          Columns = <
            item
              Position = 0
              Width = 120
              WideText = 'Original Subnet'
            end
            item
              Position = 1
              Width = 120
              WideText = 'Replacement Subnet'
            end>
        end
        object CheckBoxRandomizeIPv4Multicast: TCheckBox
          Left = 102
          Top = 310
          Width = 71
          Height = 17
          Hint = 
            'If checked, Multicast addresses will be randomized into other Mu' +
            'lticast addresses'
          Anchors = [akLeft, akBottom]
          Caption = 'Multicast'
          Enabled = False
          ParentShowHint = False
          ShowHint = True
          TabOrder = 15
          OnClick = onChangeIPv4Settings
        end
        object CheckBoxRandomizeIPv4APIPA: TCheckBox
          Left = 179
          Top = 310
          Width = 50
          Height = 17
          Hint = 
            'If checked, APIPA addresses will be randomized just like normal ' +
            'unicasts'
          Anchors = [akLeft, akBottom]
          Caption = 'APIPA '
          Enabled = False
          ParentShowHint = False
          ShowHint = True
          TabOrder = 16
          OnClick = onChangeIPv4Settings
        end
        object CheckBoxRandomizeIPv4DocumentationAddresses: TCheckBox
          Left = 242
          Top = 310
          Width = 97
          Height = 17
          Hint = 
            'If checked, even addresses from the official documentation range' +
            's (see RFC 5737) will be randomized'
          Anchors = [akLeft, akBottom]
          Caption = 'Documentation'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 17
        end
        object ComboBoxIPRandomizePrivateRangeMode: TComboBox
          Left = 140
          Top = 338
          Width = 209
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          ItemIndex = 0
          TabOrder = 18
          Text = 'randomize into another private range'
          Items.Strings = (
            'randomize into another private range'
            'randomize over full address range'
            'do not randomize')
        end
        object ComboBoxRemainingIPv4AddressesProcessMode: TComboBox
          Left = 200
          Top = 284
          Width = 173
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          ItemIndex = 0
          TabOrder = 19
          Text = 'Randomize'
          OnChange = onChangeIPv4Settings
          Items.Strings = (
            'Randomize'
            'Black Marker (zero bytes)')
        end
        object CheckBoxReplaceIPv4AddressesAutoMode: TCheckBox
          Left = 196
          Top = 28
          Width = 81
          Height = 17
          Hint = 
            'If there are only two IP addresses talking to each other, replac' +
            'e them automatically'
          Caption = 'Auto Mode'
          Checked = True
          ParentShowHint = False
          ShowHint = True
          State = cbChecked
          TabOrder = 20
        end
      end
    end
    object TabSheetIPv6: TTabSheet
      Caption = 'IPv6'
      ImageIndex = 2
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxIPv6Action: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 81
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          81)
        object RadioButtonIPv6ActionPassThrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeIPv6Settings
        end
        object RadioButtonIPv6ActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeIPv6Settings
        end
        object MemoIPv6ActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 59
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'IPv6 layer will not be modified')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxIPv6ActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 90
        Width = 727
        Height = 419
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for IPv6 Replacement'
        TabOrder = 1
        DesignSize = (
          727
          419)
        object LabelRandomizeIPv6Include: TLabel
          Left = 32
          Top = 369
          Width = 47
          Height = 13
          Anchors = [akLeft, akBottom]
          Caption = 'Including:'
          ExplicitTop = 383
        end
        object CheckBoxProcessRemainingIPv6Addresses: TCheckBox
          Left = 16
          Top = 340
          Width = 173
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Process remaining IP addresses:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 0
          OnClick = onChangeIPv6Settings
        end
        object CheckBoxReplaceIPv6AddressesByList: TCheckBox
          Left = 16
          Top = 28
          Width = 185
          Height = 17
          Caption = 'Replace IP addresses by list'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 1
          OnClick = onChangeIPv6Settings
        end
        object ButtonIPv6AddressListAdd: TButton
          Left = 411
          Top = 51
          Width = 75
          Height = 25
          Caption = '&Add'
          DropDownMenu = PopupMenuAddButtons
          Enabled = False
          PopupMenu = PopupMenuAddButtons
          Style = bsSplitButton
          TabOrder = 2
          OnClick = ButtonIPv6AddressListAddClick
          OnDropDownClick = onButtonAddDropDownClick
        end
        object ButtonIPv6AddressListEdit: TButton
          Left = 411
          Top = 82
          Width = 75
          Height = 25
          Caption = '&Edit'
          Enabled = False
          TabOrder = 3
          OnClick = ButtonIPv6AddressListEditClick
        end
        object ButtonIPv6AddressListRemove: TButton
          Left = 411
          Top = 113
          Width = 75
          Height = 25
          Caption = '&Remove'
          Enabled = False
          TabOrder = 4
          OnClick = ButtonIPv6AddressListRemoveClick
        end
        object CheckBoxReplaceIPv6AddressesBySubnets: TCheckBox
          Left = 16
          Top = 213
          Width = 185
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Replace IP addresses by prefix'
          Enabled = False
          TabOrder = 5
          OnClick = onChangeIPv6Settings
        end
        object ButtonIPv6SubnetListAdd: TButton
          Left = 339
          Top = 236
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Add'
          Enabled = False
          TabOrder = 6
          OnClick = ButtonIPv6SubnetListAddClick
        end
        object ButtonIPv6SubnetListEdit: TButton
          Left = 339
          Top = 267
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Edit'
          Enabled = False
          TabOrder = 7
          OnClick = ButtonIPv6SubnetListEditClick
        end
        object ButtonIPv6SubnetListRemove: TButton
          Left = 339
          Top = 298
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Remove'
          Enabled = False
          TabOrder = 8
          OnClick = ButtonIPv6SubnetListRemoveClick
        end
        object VSTIPv6SubnetList: TVirtualStringTree
          Left = 32
          Top = 237
          Width = 301
          Height = 87
          Anchors = [akLeft, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 0
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuVirtualStringTrees
          TabOrder = 9
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect]
          OnChange = onVSTIPv6SubnetListChange
          OnDblClick = onVSTIPv6SubnetListDblClick
          OnDrawText = onVSTIPv6SubnetListDrawText
          OnFocusChanged = onVSTIPv6SubnetListFocusChanged
          OnGetText = onVSTIPv6SubnetListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          OnNewText = onVSTIPv6SubnetListNewText
          Columns = <
            item
              Position = 0
              Width = 140
              WideText = 'Original Prefix'
            end
            item
              Position = 1
              Width = 140
              WideText = 'Replacement Prefix'
            end>
        end
        object VSTIPv6AddressList: TVirtualStringTree
          Left = 32
          Top = 51
          Width = 373
          Height = 154
          Anchors = [akLeft, akTop, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 2
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuVirtualStringTrees
          TabOrder = 10
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect, toMultiSelect]
          OnChange = onVSTIPv6AddressListChange
          OnDblClick = onVSTIPv6AddressListDblClick
          OnDrawText = onVSTIPv6AddressListDrawText
          OnEditing = onVSTIPv6AddressListEditing
          OnFocusChanged = onVSTIPv6AddressListFocusChanged
          OnGetText = onVSTIPv6AddressListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          OnNewText = onVSTIPv6AddressListNewText
          Columns = <
            item
              Position = 0
              Width = 140
              WideText = 'Original IP'
            end
            item
              Position = 1
              Width = 140
              WideText = 'Replacement'
            end
            item
              Position = 2
              Width = 89
              WideText = 'Defined By'
            end>
        end
        object CheckBoxRandomizeIPv6DocumentationAddresses: TCheckBox
          Left = 92
          Top = 368
          Width = 153
          Height = 17
          Hint = 
            'If checked, even addresses from the official documentation range' +
            ' 2001:db8:/32 will be randomized'
          Anchors = [akLeft, akBottom]
          Caption = 'Documentation Addresses'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 11
        end
        object ComboBoxRandominzeIPv6AddressMode: TComboBox
          Left = 200
          Top = 338
          Width = 265
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          ItemIndex = 0
          TabOrder = 12
          Text = 'Randomize prefixes and keep Interface IDs intact'
          OnChange = onChangeIPv6Settings
          Items.Strings = (
            'Randomize prefixes and keep Interface IDs intact'
            'Randomize both and  synchronize  prefixes'
            'Randomize both in stateless mode'
            'Black Marker (zero bytes)')
        end
      end
      object CheckBoxReplaceIPv6AddressesAutoMode: TCheckBox
        Left = 196
        Top = 118
        Width = 81
        Height = 17
        Hint = 
          'If there are only two IP addresses talking to each other, replac' +
          'e them automatically'
        Caption = 'Auto Mode'
        Checked = True
        ParentShowHint = False
        ShowHint = True
        State = cbChecked
        TabOrder = 2
      end
    end
    object TabSheetICMPv4: TTabSheet
      Caption = 'ICMPv4'
      ImageIndex = 10
      DesignSize = (
        743
        517)
      object GroupBoxICMPv4Action: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonICMPv4ActionPassThrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeICMPv4Settings
        end
        object RadioButtonICMPv4ActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeICMPv4Settings
        end
        object MemoICMPv4ActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'The ICMPv4 layer will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxICMPv4ActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 432
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for ICMPv4 Replacement'
        Enabled = False
        TabOrder = 1
        DesignSize = (
          727
          432)
        object CheckBoxICMPv4RemovePingPayload: TCheckBox
          Left = 16
          Top = 28
          Width = 133
          Height = 17
          Caption = 'Remove Ping payload'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 0
          OnClick = onChangeICMPv4Settings
        end
        object CheckBoxICMPv4RecalculateCRC: TCheckBox
          Left = 16
          Top = 393
          Width = 109
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Recalculate CRC:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 1
          OnClick = onChangeICMPv4Settings
        end
        object ComboBoxICMPv4RecalculateCRCMode: TComboBox
          Left = 140
          Top = 391
          Width = 157
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          ItemIndex = 0
          TabOrder = 2
          Text = 'Keep bad checksums bad'
          Items.Strings = (
            'Keep bad checksums bad'
            'Fix all checksums')
        end
        object VSTICMPv4RemoveMessages: TVirtualStringTree
          Left = 32
          Top = 84
          Width = 667
          Height = 291
          Anchors = [akLeft, akTop, akRight, akBottom]
          Colors.UnfocusedColor = clMedGray
          Header.AutoSizeIndex = 2
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          TabOrder = 3
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toCheckSupport, toFullRepaintOnResize, toInitOnSave, toToggleOnDblClick, toWheelPanning, toEditOnClick]
          OnChecked = onVSTICMPv4RemoveMessagesChecked
          OnGetText = onVSTICMPv4RemoveMessageGetText
          Columns = <
            item
              Position = 0
              Width = 60
              WideText = 'Type'
            end
            item
              Position = 1
              Width = 60
              WideText = 'Code'
            end
            item
              Position = 2
              Width = 543
              WideText = 'Message'
            end>
        end
        object CheckBoxICMPv4RemoveMessages: TCheckBox
          Left = 16
          Top = 57
          Width = 225
          Height = 17
          Caption = 'Remove packets with these messages:'
          TabOrder = 4
          OnClick = onChangeICMPv4Settings
        end
      end
    end
    object TabSheetICMPv6: TTabSheet
      Caption = 'ICMPv6'
      ImageIndex = 12
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxICMPv6Action: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonICMPv6ActionPassThrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeICMPv6Settings
        end
        object RadioButtonICMPv6ActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeICMPv6Settings
        end
        object MemoICMPv6ActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'The ICMPv6 layer will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxICMPv6ActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 432
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for ICMPv6 Replacement'
        Enabled = False
        TabOrder = 1
        DesignSize = (
          727
          432)
        object CheckBoxICMPv6RemovePingPayload: TCheckBox
          Left = 16
          Top = 52
          Width = 133
          Height = 17
          Caption = 'Remove Ping payload'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 0
          OnClick = onChangeICMPv6Settings
        end
        object CheckBoxICMPv6RecalculateCRC: TCheckBox
          Left = 16
          Top = 131
          Width = 109
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Recalculate CRC:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 1
          OnClick = onChangeICMPv6Settings
        end
        object ComboBoxICMPv6RecalculateCRCMode: TComboBox
          Left = 140
          Top = 129
          Width = 157
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          Enabled = False
          ItemIndex = 0
          TabOrder = 2
          Text = 'Keep bad checksums bad'
          OnClick = onChangeICMPv6Settings
          Items.Strings = (
            'Keep bad checksums bad'
            'Fix all checksums')
        end
        object CheckBoxICMPv6RemoveDNSServerFQDNs: TCheckBox
          Left = 16
          Top = 24
          Width = 165
          Height = 17
          Caption = 'Remove DNS Server FQDNs'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 3
        end
      end
    end
    object TabSheetTCP: TTabSheet
      Caption = 'TCP'
      ImageIndex = 7
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxTCPAction: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonTCPActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeTCPSettings
        end
        object RadioButtonTCPActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeTCPSettings
        end
        object MemoTCPActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'TCP layer will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxTCPReplacementSettings: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 432
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for TCP Replacement'
        TabOrder = 1
        DesignSize = (
          727
          432)
        object CheckBoxReplaceTCPPortsByList: TCheckBox
          Left = 16
          Top = 210
          Width = 185
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Replace TCP ports by list'
          Enabled = False
          TabOrder = 0
          OnClick = onChangeTCPSettings
        end
        object ButtonTCPPortListAdd: TButton
          Left = 259
          Top = 233
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Add'
          Enabled = False
          TabOrder = 1
          OnClick = ButtonTCPPortListAddClick
        end
        object ButtonTCPPortListEdit: TButton
          Left = 259
          Top = 264
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Edit'
          Enabled = False
          TabOrder = 2
          OnClick = ButtonTCPPortListEditClick
        end
        object ButtonTCPPortListRemove: TButton
          Left = 259
          Top = 295
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Remove'
          Enabled = False
          TabOrder = 3
          OnClick = ButtonTCPPortListRemoveClick
        end
        object CheckBoxTCPRandomizePorts: TCheckBox
          Left = 16
          Top = 341
          Width = 133
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Randomize TCP ports'
          Enabled = False
          TabOrder = 4
          OnClick = onChangeTCPSettings
        end
        object CheckBoxTCPRecalculateCRC: TCheckBox
          Left = 16
          Top = 400
          Width = 109
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Recalculate CRC:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 5
          OnClick = onChangeTCPSettings
        end
        object ComboBoxTCPRecalculateCRCMode: TComboBox
          Left = 140
          Top = 398
          Width = 157
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          Enabled = False
          ItemIndex = 0
          TabOrder = 6
          Text = 'Keep bad checksums bad'
          Items.Strings = (
            'Keep bad checksums bad'
            'Fix all checksums')
        end
        object VSTTCPPortList: TVirtualStringTree
          Left = 29
          Top = 233
          Width = 224
          Height = 102
          Anchors = [akLeft, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 0
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuVirtualStringTrees
          TabOrder = 7
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect, toMultiSelect]
          OnChange = onVSTTCPPortListChange
          OnDblClick = onVSTTCPPortListDblClick
          OnFocusChanged = onVSTTCPPortListFocusChanged
          OnGetText = onVSTTCPPortListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          OnNewText = onVSTTCPPortListNewText
          Columns = <
            item
              Position = 0
              Width = 100
              WideText = 'Original Port'
            end
            item
              Position = 1
              Width = 100
              WideText = 'Replacement Port'
            end>
        end
        object CheckBoxTCPRandomizePortsKeepSystemPorts: TCheckBox
          Left = 32
          Top = 369
          Width = 169
          Height = 17
          Hint = 
            'If checked, all ports in the range between port 1 and 1024 will ' +
            'not be randomized'
          Anchors = [akLeft, akBottom]
          Caption = 'Ignore System Ports (1-1024)'
          Checked = True
          ParentShowHint = False
          ShowHint = True
          State = cbChecked
          TabOrder = 8
        end
        object VSTTCPSocketList: TVirtualStringTree
          Left = 29
          Top = 51
          Width = 376
          Height = 151
          Anchors = [akLeft, akTop, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 3
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuVirtualStringTrees
          TabOrder = 9
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect, toMultiSelect]
          OnChange = onVSTTCPSocketListChange
          OnDblClick = onVSTTCPSocketListDblClick
          OnDrawText = onVSTTCPSocketListDrawText
          OnFocusChanged = onVSTTCPSocketListFocusChanged
          OnGetText = onVSTTCPSocketListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          Columns = <
            item
              Position = 0
              Width = 100
              WideText = 'Original IP'
            end
            item
              Position = 1
              Width = 75
              WideText = 'Original Port'
            end
            item
              Position = 2
              Width = 100
              WideText = 'Replacement IP'
            end
            item
              Position = 3
              Width = 97
              WideText = 'Replacement Port'
            end>
        end
        object ButtonTCPSocketListRemove: TButton
          Left = 411
          Top = 113
          Width = 75
          Height = 25
          Caption = '&Remove'
          Enabled = False
          TabOrder = 10
          OnClick = ButtonTCPSocketListRemoveClick
        end
        object ButtonTCPSocketListEdit: TButton
          Left = 411
          Top = 82
          Width = 75
          Height = 25
          Caption = '&Edit'
          Enabled = False
          TabOrder = 11
          OnClick = ButtonTCPSocketListEditClick
        end
        object ButtonTCPSocketListAdd: TButton
          Left = 411
          Top = 51
          Width = 75
          Height = 25
          Caption = '&Add'
          Enabled = False
          TabOrder = 12
          OnClick = ButtonTCPSocketListAddClick
        end
        object CheckBoxReplaceTCPPortsBySocketList: TCheckBox
          Left = 16
          Top = 28
          Width = 185
          Height = 17
          Caption = 'Replace TCP ports by socket list'
          Enabled = False
          TabOrder = 13
          OnClick = onChangeTCPSettings
        end
      end
    end
    object TabSheetUDP: TTabSheet
      Caption = 'UDP'
      ImageIndex = 8
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxActionUDP: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonUDPActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeUDPSettings
        end
        object RadioButtonUDPActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeUDPSettings
        end
        object MemoUDPActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'UDP layer will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxUDPReplacementSettings: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 432
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for UDP Replacement'
        TabOrder = 1
        DesignSize = (
          727
          432)
        object CheckBoxReplaceUDPPortsByList: TCheckBox
          Left = 16
          Top = 210
          Width = 185
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Replace UDP ports by list'
          Enabled = False
          TabOrder = 0
          OnClick = onChangeUDPSettings
        end
        object ButtonUDPPortListAdd: TButton
          Left = 259
          Top = 233
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Add'
          Enabled = False
          TabOrder = 1
          OnClick = ButtonUDPPortListAddClick
        end
        object ButtonUDPPortListEdit: TButton
          Left = 259
          Top = 264
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Edit'
          Enabled = False
          TabOrder = 2
          OnClick = ButtonUDPPortListEditClick
        end
        object ButtonUDPPortListRemove: TButton
          Left = 259
          Top = 295
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Remove'
          Enabled = False
          TabOrder = 3
          OnClick = ButtonUDPPortListRemoveClick
        end
        object CheckBoxUDPRandomizePorts: TCheckBox
          Left = 16
          Top = 341
          Width = 133
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Randomize UDP ports'
          Enabled = False
          TabOrder = 4
          OnClick = onChangeUDPSettings
        end
        object CheckBoxUDPRecalculateCRC: TCheckBox
          Left = 16
          Top = 400
          Width = 109
          Height = 17
          Anchors = [akLeft, akBottom]
          Caption = 'Recalculate CRC:'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 5
          OnClick = onChangeUDPSettings
        end
        object ComboBoxUDPRecalculateCRCMode: TComboBox
          Left = 140
          Top = 398
          Width = 157
          Height = 21
          Style = csDropDownList
          Anchors = [akLeft, akBottom]
          Enabled = False
          ItemIndex = 0
          TabOrder = 6
          Text = 'Keep bad checksums bad'
          Items.Strings = (
            'Keep bad checksums bad'
            'Fix all checksums')
        end
        object VSTUDPPortList: TVirtualStringTree
          Left = 29
          Top = 233
          Width = 224
          Height = 102
          Anchors = [akLeft, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 0
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          TabOrder = 7
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect, toMultiSelect]
          OnChange = onVSTUDPPortListChange
          OnDblClick = onUDPPortListDblClick
          OnDrawText = onUDPPortListDrawText
          OnFocusChanged = onUDPPortListFocusChanged
          OnGetText = onUDPPortListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          OnNewText = onUDPPortListNewText
          Columns = <
            item
              Position = 0
              Width = 100
              WideText = 'Original Port'
            end
            item
              Position = 1
              Width = 100
              WideText = 'Replacement Port'
            end>
        end
        object CheckBoxUDPRandomizePortsKeepSystemPorts: TCheckBox
          Left = 32
          Top = 369
          Width = 169
          Height = 17
          Hint = 
            'If checked, all ports in the range between port 1 and 1024 will ' +
            'not be randomized'
          Anchors = [akLeft, akBottom]
          Caption = 'Ignore System Ports (1-1024)'
          Checked = True
          ParentShowHint = False
          ShowHint = True
          State = cbChecked
          TabOrder = 8
        end
        object CheckBoxReplaceUDPPortsBySocketList: TCheckBox
          Left = 16
          Top = 28
          Width = 185
          Height = 17
          Caption = 'Replace UDP ports by socket list'
          Enabled = False
          TabOrder = 9
          OnClick = onChangeUDPSettings
        end
        object VSTUDPSocketList: TVirtualStringTree
          Left = 29
          Top = 51
          Width = 376
          Height = 151
          Anchors = [akLeft, akTop, akBottom]
          Colors.UnfocusedColor = clMedGray
          EditDelay = 100
          Enabled = False
          Header.AutoSizeIndex = 3
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuVirtualStringTrees
          TabOrder = 10
          TreeOptions.MiscOptions = [toAcceptOLEDrop, toEditable, toFullRepaintOnResize, toInitOnSave, toWheelPanning, toEditOnClick]
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines, toUseExplorerTheme]
          TreeOptions.SelectionOptions = [toExtendedFocus, toFullRowSelect, toMultiSelect]
          OnChange = onVSTUDPSocketListChange
          OnDblClick = onVSTUDPSocketListDblClick
          OnFocusChanged = onVSTUDPSocketListFocusChanged
          OnGetText = onVSTUDPSocketListGetText
          OnKeyDown = onKeyDownGeneralVSTAddressList
          Columns = <
            item
              Position = 0
              Width = 100
              WideText = 'Original IP'
            end
            item
              Position = 1
              Width = 75
              WideText = 'Original Port'
            end
            item
              Position = 2
              Width = 100
              WideText = 'Replacement IP'
            end
            item
              Position = 3
              Width = 97
              WideText = 'Replacement Port'
            end>
        end
        object ButtonUDPSocketListAdd: TButton
          Left = 411
          Top = 51
          Width = 75
          Height = 25
          Caption = '&Add'
          Enabled = False
          TabOrder = 11
          OnClick = ButtonUDPSocketListAddClick
        end
        object ButtonUDPSocketListEdit: TButton
          Left = 411
          Top = 82
          Width = 75
          Height = 25
          Caption = '&Edit'
          Enabled = False
          TabOrder = 12
          OnClick = ButtonUDPSocketListEditClick
        end
        object ButtonUDPSocketListRemove: TButton
          Left = 411
          Top = 113
          Width = 75
          Height = 25
          Caption = '&Remove'
          Enabled = False
          TabOrder = 13
          OnClick = ButtonUDPSocketListRemoveClick
        end
      end
    end
    object TabSheetDHCPv4: TTabSheet
      Caption = 'DHCPv4'
      ImageIndex = 11
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxDHCPv4Action: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonDHCPv4ActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeDHCPv4Settings
        end
        object RadioButtonDHCPv4ActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeDHCPv4Settings
        end
        object MemoDHCPv4ActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            'The DHCPv4 layer will not be modified.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxDHCPv4ActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 431
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for DHCPv4 Replacement'
        Enabled = False
        TabOrder = 1
        object CheckBoxDHCPv4HandleFQDNs: TCheckBox
          Left = 16
          Top = 28
          Width = 109
          Height = 17
          Caption = 'Sanitize FQDNs by'
          Checked = True
          Enabled = False
          State = cbChecked
          TabOrder = 0
          OnClick = onChangeDHCPv4Settings
        end
        object ComboBoxDHCPv4ActionFQDNReplaceMode: TComboBox
          Left = 144
          Top = 26
          Width = 201
          Height = 21
          Style = csDropDownList
          ItemIndex = 0
          TabOrder = 1
          Text = 'replacing them with placeholders'
          Items.Strings = (
            'replacing them with placeholders')
        end
      end
    end
    object TabSheetRTPS: TTabSheet
      Caption = 'RTPS'
      ImageIndex = 14
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBox1: TGroupBox
        Left = 10
        Top = 3
        Width = 727
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          727
          70)
        object RadioButtonRTPSActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          TabOrder = 0
          OnClick = onChangeRTPSSettings
        end
        object RadioButtonRTPSActionReplace: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Replace'
          Checked = True
          TabOrder = 1
          TabStop = True
          OnClick = onChangeRTPSSettings
        end
        object MemoRTPSActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 578
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Enabled = False
          Lines.Strings = (
            
              'The RTPS layer will be modified by sanitizing DATA, DATA_FRAG an' +
              'd '
            'DATA_BATCH '
            
              'SubMessages. DATA SubMessages with a WriterEntity of 0x3c2 or 0x' +
              '4c2 '
            'will only '
            'have the PID_TYPECODE and PID_TYPEOBJECT values sanitized')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxRTPSActionSettingsReplacement: TGroupBox
        Left = 10
        Top = 79
        Width = 727
        Height = 431
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Settings for RTPS Replacement'
        Enabled = False
        TabOrder = 1
        object LabelRTPSReplacementMode: TLabel
          Left = 16
          Top = 28
          Width = 95
          Height = 13
          Caption = 'Replacement Mode:'
        end
        object ComboBoxRTPSActionReplaceMode: TComboBox
          Left = 128
          Top = 25
          Width = 161
          Height = 21
          Style = csDropDownList
          ItemIndex = 0
          TabOrder = 0
          Text = 'Black Marker (zero bytes)'
          Items.Strings = (
            'Black Marker (zero bytes)'
            'Randomize Bytes')
        end
      end
    end
    object TabsheetOutput: TTabSheet
      Caption = 'Output'
      ImageIndex = 4
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxOutputLocation: TGroupBox
        Left = 3
        Top = 0
        Width = 737
        Height = 181
        Anchors = [akLeft, akTop, akRight]
        Caption = 'File Output Location'
        TabOrder = 0
        DesignSize = (
          737
          181)
        object LabelDirectoryWarning: TLabel
          Left = 105
          Top = 156
          Width = 219
          Height = 13
          Caption = '** Warning: target directory not writeable **'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'Tahoma'
          Font.Style = []
          ParentFont = False
          Visible = False
        end
        object RadioButtonFileOutputSameDirectory: TRadioButton
          Left = 16
          Top = 24
          Width = 229
          Height = 17
          Caption = 'place in same directory as the source files'
          Checked = True
          TabOrder = 0
          TabStop = True
          OnClick = onClickOutputsettings
        end
        object RadioButtonFileOutputToSubdirectory: TRadioButton
          Left = 16
          Top = 52
          Width = 229
          Height = 17
          Caption = 'put in subdirectory of source directory'
          TabOrder = 1
          OnClick = onClickOutputsettings
        end
        object LabeledEditOutputToSubdirectory: TLabeledEdit
          Left = 105
          Top = 75
          Width = 595
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          EditLabel.Width = 65
          EditLabel.Height = 13
          EditLabel.Caption = 'Subdirectory:'
          Enabled = False
          LabelPosition = lpLeft
          LabelSpacing = 8
          TabOrder = 2
          Text = 'Anonymized'
        end
        object RadioButtonFileOutputToAbsoluteDirectory: TRadioButton
          Left = 16
          Top = 102
          Width = 173
          Height = 17
          Caption = 'put in the following directory'
          TabOrder = 3
          OnClick = onClickOutputsettings
        end
        object LabeledEditOutputToDirectory: TLabeledEdit
          Left = 105
          Top = 125
          Width = 596
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          EditLabel.Width = 48
          EditLabel.Height = 13
          EditLabel.Caption = 'Directory:'
          Enabled = False
          LabelPosition = lpLeft
          LabelSpacing = 25
          TabOrder = 4
          OnChange = onChangeOutputToDirectory
        end
        object ButtonSelectOutputDirectory: TButton
          Left = 707
          Top = 125
          Width = 21
          Height = 21
          Anchors = [akTop, akRight]
          Caption = '...'
          TabOrder = 5
          OnClick = ButtonSelectOutputDirectoryClick
        end
      end
      object GroupBoxFileOutputNamingOptions: TGroupBox
        Left = 3
        Top = 187
        Width = 737
        Height = 95
        Anchors = [akLeft, akTop, akRight]
        Caption = 'File Output options'
        TabOrder = 1
        DesignSize = (
          737
          95)
        object LabelOutputFilename: TLabel
          Left = 16
          Top = 25
          Width = 46
          Height = 13
          Caption = 'Filename:'
        end
        object EditOutputFilename: TEdit
          Left = 105
          Top = 22
          Width = 595
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          TabOrder = 0
          Text = '<filename>_anon'
        end
        object CheckBoxSetFileDateTo: TCheckBox
          Left = 16
          Top = 56
          Width = 157
          Height = 17
          Caption = 'Set output file timestamp to '
          ParentShowHint = False
          ShowHint = False
          TabOrder = 1
          OnClick = onClickOutputsettings
        end
        object ComboBoxSetFileTimestampScope: TComboBox
          Left = 178
          Top = 54
          Width = 145
          Height = 21
          Style = csDropDownList
          Enabled = False
          ItemIndex = 0
          TabOrder = 2
          Text = 'original file timestamp'
          Items.Strings = (
            'original file timestamp'
            'first frame time'
            'last frame time')
        end
      end
      object MemoOutputHint: TMemo
        Tag = -1
        Left = 3
        Top = 288
        Width = 737
        Height = 226
        Anchors = [akLeft, akTop, akRight, akBottom]
        Color = clInfoBk
        Enabled = False
        Lines.Strings = (
          'All input fields will accept the following placeholders:'
          '<taskname>           Add the name of the task to the filename'
          '<tasknumber>        Add the number of the task to the filename'
          '<date>                    Insert current date'
          '<datetime>             Insert current date and time'
          '<sectionid>             Insert current section number'
          
            '<filename>              Insert original filename, without extens' +
            'ion'
          '<count>                  Insert counter, starting at 1')
        TabOrder = 2
      end
    end
    object TabsheetSettings: TTabSheet
      Caption = 'Settings'
      ImageIndex = 13
      ExplicitLeft = 0
      ExplicitTop = 0
      ExplicitWidth = 0
      ExplicitHeight = 0
      DesignSize = (
        743
        517)
      object GroupBoxAnonymizationDBSettings: TGroupBox
        Left = 3
        Top = 0
        Width = 727
        Height = 154
        Anchors = [akLeft, akRight]
        Caption = 'Anonymization Database'
        TabOrder = 0
        DesignSize = (
          727
          154)
        object CheckBoxUseDiskBasedDatabaseFile: TCheckBox
          Left = 16
          Top = 24
          Width = 385
          Height = 17
          Hint = 
            'If checked the replacement database will be written to disk inst' +
            'ead of using a in-memory database'
          Caption = 
            'Use Disk based replacement database (slow, but mandatory in 32 b' +
            'it mode)'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 0
          OnClick = onChangeGeneralSettings
        end
        object CheckBoxKeepDatabaseFileAfterFinish: TCheckBox
          Left = 32
          Top = 54
          Width = 213
          Height = 17
          Hint = 
            'If checked the replacement database file will not be deleted aft' +
            'er the task is complete'
          Caption = 'Keep database file after task finishes'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
          OnClick = onChangeGeneralSettings
        end
        object CheckBoxForceDatabasePath: TCheckBox
          Left = 32
          Top = 114
          Width = 94
          Height = 17
          Hint = 
            'If checked, the replacement database will be put into the path s' +
            'pecified here'
          Caption = 'Force DB Path:'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 2
          OnClick = onChangeGeneralSettings
        end
        object EditReplacementDBPath: TEdit
          Left = 132
          Top = 112
          Width = 555
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          TabOrder = 3
          OnChange = onChangeReplacementDBPath
        end
        object ButtonSelectDBPath: TButton
          Left = 693
          Top = 112
          Width = 21
          Height = 21
          Anchors = [akTop, akRight]
          Caption = '...'
          TabOrder = 4
          OnClick = ButtonSelectDBPathClick
        end
        object CheckBoxWipeDatabaseOnJobStart: TCheckBox
          Left = 52
          Top = 84
          Width = 201
          Height = 17
          Hint = 
            'If checked, the replacement database will be initialized for eac' +
            'h job'
          Caption = 'Wipe existing database on job start'
          ParentShowHint = False
          ShowHint = True
          TabOrder = 5
        end
      end
      object GroupBoxAdvancedSettings: TGroupBox
        Left = 3
        Top = 160
        Width = 727
        Height = 153
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Advanced Settings'
        TabOrder = 1
        object LabelAdvReassemblyTimeout: TLabel
          Left = 32
          Top = 52
          Width = 126
          Height = 13
          Caption = 'Reassembly Timeout (ms):'
        end
        object CheckBoxAdvReassembleIPFragments: TCheckBox
          Left = 16
          Top = 24
          Width = 237
          Height = 17
          Caption = 'Reassemble IP fragments before sanitization'
          Checked = True
          State = cbChecked
          TabOrder = 0
          OnClick = onChangeGeneralSettings
        end
        object EditAdvReassemblyChainTimeout: TEdit
          Left = 169
          Top = 49
          Width = 65
          Height = 21
          Hint = 
            'If fragmented packets are still incomplete after this number of ' +
            'milliseconds, force sanitization'
          Alignment = taRightJustify
          NumbersOnly = True
          ParentShowHint = False
          ShowHint = True
          TabOrder = 1
          Text = '100'
          OnChange = onChangeGeneralSettings
        end
        object UpDownAdvReassemblyChainTimeout: TUpDown
          Left = 234
          Top = 49
          Width = 16
          Height = 21
          Associate = EditAdvReassemblyChainTimeout
          Min = 100
          Max = 10000
          Increment = 100
          Position = 100
          TabOrder = 2
        end
      end
    end
  end
  object ButtonOkay: TButton
    Left = 8
    Top = 482
    Width = 121
    Height = 34
    Anchors = [akLeft, akBottom]
    Caption = '&Okay'
    ModalResult = 1
    TabOrder = 2
    OnClick = ButtonOkayClick
  end
  object ButtonCancel: TButton
    Left = 8
    Top = 522
    Width = 121
    Height = 31
    Anchors = [akLeft, akBottom]
    Caption = '&Cancel'
    ModalResult = 2
    TabOrder = 3
  end
  object ButtonTools: TButton
    Left = 8
    Top = 442
    Width = 121
    Height = 34
    Anchors = [akLeft, akBottom]
    Caption = 'Tools'
    DropDownMenu = PopupMenuTools
    PopupMenu = PopupMenuTools
    Style = bsSplitButton
    TabOrder = 4
    OnClick = ButtonToolsClick
  end
  object VSTNavigation: TVirtualStringTree
    Left = 8
    Top = 8
    Width = 121
    Height = 425
    Anchors = [akLeft, akTop, akBottom]
    Header.AutoSizeIndex = 0
    Header.Font.Charset = DEFAULT_CHARSET
    Header.Font.Color = clWindowText
    Header.Font.Height = -11
    Header.Font.Name = 'Tahoma'
    Header.Font.Style = []
    Header.MainColumn = -1
    TabOrder = 0
    OnChange = onVSTNavigationChange
    OnGetText = onVSTNavigationGetText
    OnPaintText = onVSTNavigationPaintText
    Columns = <>
  end
  object EditFormGenerationIndex: TEdit
    Left = 96
    Top = 8
    Width = 33
    Height = 21
    Enabled = False
    ReadOnly = True
    TabOrder = 5
    Text = '19'
    Visible = False
  end
  object PopupMenuVirtualStringTrees: TPopupMenu
    OnPopup = onPopUpPopupMenuVirtualStringTrees
    Left = 24
    Top = 344
    object PopUpMenuClear: TMenuItem
      Caption = '&Clear'
      Enabled = False
      OnClick = PopUpMenuClearClick
    end
    object PopUpMenuImport: TMenuItem
      Caption = '&Import'
      object PopUpMenuImportFromFile: TMenuItem
        Caption = 'from &File'
        OnClick = PopUpMenuImportFromFileClick
      end
      object PopUpMenuImportFromConversationStore: TMenuItem
        Caption = 'from &Conversation Store'
        Enabled = False
        OnClick = PopUpMenuImportFromConversationStoreClick
      end
    end
    object PopUpMenuExport: TMenuItem
      Caption = 'E&xport'
      Enabled = False
      OnClick = PopUpMenuExportClick
    end
  end
  object OpenDialogImport: TOpenDialog
    Filter = 'Comma Separated List (*.csv)|*.csv|All Files (*.*)|*.*'
    Options = [ofHideReadOnly, ofPathMustExist, ofFileMustExist, ofEnableSizing]
    Left = 24
    Top = 296
  end
  object SaveDialogExport: TSaveDialog
    DefaultExt = 'csv'
    Filter = 'Comma Separated List (*.csv)|*.csv|All Files (*.*)|*.*'
    Left = 84
    Top = 296
  end
  object PopupMenuTools: TPopupMenu
    OnPopup = onPopUpTools
    Left = 84
    Top = 344
    object PopupMenuToolsClearAllSettings: TMenuItem
      Caption = '&Clear All Settings'
      OnClick = PopupMenuToolsClearAllSettingsClick
    end
    object PopupMenuToolsResetSettingsToFactory: TMenuItem
      Caption = 'Restore &Factory Settings'
      OnClick = PopupMenuToolsResetSettingsToFactoryClick
    end
    object PopupMenuToolsSetAsDefault: TMenuItem
      Caption = '&Set as Default Profile'
      OnClick = PopupMenuToolsSetAsDefaultClick
    end
    object MenuSeparator1: TMenuItem
      Caption = '-'
    end
    object PopupMenuToolsSpecial: TMenuItem
      Caption = 'S&pecial Helpers'
      Enabled = False
      Visible = False
      object PopupMenuToolsSpecialSwapConversationAddresses: TMenuItem
        Caption = '&Swap Conversation Addresses'
        Enabled = False
        Visible = False
        OnClick = PopupMenuToolsSpecialSwapConversationAddressesClick
      end
    end
  end
  object PopupMenuAddButtons: TPopupMenu
    Left = 84
    Top = 392
    object PopUpMenuAddButtonLookup: TMenuItem
      Caption = '&Lookup'
      OnClick = PopUpMenuAddButtonLookupClick
    end
    object PopUpMenuAddButtonImport: TMenuItem
      Caption = '&Import'
      OnClick = onPopUpAddButtonImport
    end
    object PopUpMenuAddButtonAuto: TMenuItem
      Caption = '&Auto'
      OnClick = PopUpMenuAddButtonAutoClick
    end
  end
  object PopupMenuReplacementStrings: TPopupMenu
    OnPopup = onPopUpReplacementStrings
    Left = 25
    Top = 391
    object MenuImportReplacementStrings: TMenuItem
      Caption = '&Import'
      OnClick = MenuImportReplacementStringsClick
    end
    object MenuExportReplacementStrings: TMenuItem
      Caption = 'E&xport'
      OnClick = MenuExportReplacementStringsClick
    end
  end
  object TimerAutoMode: TTimer
    Enabled = False
    Interval = 500
    OnTimer = onTimerAutoMode
    Left = 89
    Top = 251
  end
end
