object FormTaskMerge: TFormTaskMerge
  Left = 0
  Top = 0
  Caption = 'Task Details - Merge'
  ClientHeight = 412
  ClientWidth = 734
  Color = clBtnFace
  Constraints.MinHeight = 450
  Constraints.MinWidth = 750
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  Position = poOwnerFormCenter
  OnCreate = onCreate
  OnDestroy = onDestroy
  OnShow = onShow
  DesignSize = (
    734
    412)
  PixelsPerInch = 96
  TextHeight = 13
  object TreeViewNavigation: TTreeView
    Tag = -1
    Left = 8
    Top = 8
    Width = 130
    Height = 319
    Anchors = [akLeft, akTop, akBottom]
    Indent = 19
    ReadOnly = True
    TabOrder = 0
    OnChange = onChangeNavigation
    Items.NodeData = {
      03040000003A0000000000000000000000FFFFFFFFFFFFFFFF00000000000000
      0000000000010E4D0065007200670065002000530065007400740069006E0067
      007300420000000000000000000000FFFFFFFFFFFFFFFF000000000000000000
      000000011249006E00740065007200660061006300650020004D006100700070
      0069006E00670073002A0000000000000000000000FFFFFFFFFFFFFFFF000000
      0000000000000000000106460069006C007400650072002A0000000000000000
      000000FFFFFFFFFFFFFFFF00000000000000000000000001064F007500740070
      0075007400}
  end
  object ButtonOkay: TButton
    Left = 8
    Top = 333
    Width = 130
    Height = 34
    Anchors = [akLeft, akBottom]
    Caption = '&Okay'
    Default = True
    Enabled = False
    ModalResult = 1
    TabOrder = 1
  end
  object ButtonCancel: TButton
    Left = 8
    Top = 373
    Width = 130
    Height = 34
    Anchors = [akLeft, akBottom]
    Caption = '&Cancel'
    ModalResult = 2
    TabOrder = 2
  end
  object PageControlMergeSettings: TPageControl
    Left = 144
    Top = 8
    Width = 583
    Height = 401
    ActivePage = TabSheetFilterSettings
    Anchors = [akLeft, akTop, akRight, akBottom]
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clWindowText
    Font.Height = -11
    Font.Name = 'Tahoma'
    Font.Style = []
    ParentFont = False
    TabOrder = 3
    object TabSheetGeneralSettings: TTabSheet
      Caption = 'General Settings'
      DesignSize = (
        575
        373)
      object GroupBoxActionPackets: TGroupBox
        Left = 10
        Top = 0
        Width = 558
        Height = 122
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Settings for File Merging'
        TabOrder = 0
        object LabelMergeWarning: TLabel
          Left = 187
          Top = 77
          Width = 286
          Height = 13
          Caption = '*** Warning: some or all files have out of order frames ***'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'Tahoma'
          Font.Style = []
          ParentFont = False
          Visible = False
        end
        object RadioButtonMergeModeConcatenate: TRadioButton
          Left = 16
          Top = 24
          Width = 113
          Height = 17
          Caption = 'Concatenate Files'
          Checked = True
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'Tahoma'
          Font.Style = []
          ParentFont = False
          TabOrder = 0
          TabStop = True
          OnClick = onClickGeneralSettings
        end
        object RadioButtonMergeModeMergeByTimestamp: TRadioButton
          Left = 16
          Top = 76
          Width = 165
          Height = 17
          Caption = 'Merge by Frame Timestamps'
          Enabled = False
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'Tahoma'
          Font.Style = []
          ParentFont = False
          TabOrder = 1
          OnClick = onClickGeneralSettings
        end
        object CheckBoxAnnotateSourceFilename: TCheckBox
          Left = 32
          Top = 50
          Width = 261
          Height = 17
          Hint = 
            'if checked, the first frame merged from each source file will be' +
            ' annotated with the file name in the packet comment field'
          Caption = 'Annotate Source file name in packet comments'
          Checked = True
          ParentShowHint = False
          ShowHint = True
          State = cbChecked
          TabOrder = 2
        end
      end
      object GroupBoxInterfaceSettings: TGroupBox
        Left = 10
        Top = 128
        Width = 558
        Height = 237
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Interface Merging Settings'
        TabOrder = 1
        DesignSize = (
          558
          237)
        object RadioButtonInterfaceMergeAll: TRadioButton
          Left = 16
          Top = 24
          Width = 153
          Height = 17
          Caption = 'Merge Interfaces by Name'
          Checked = True
          TabOrder = 0
          TabStop = True
          OnClick = onClickInterfaceMergeSettings
        end
        object RadioButtonUniqueInterfaces: TRadioButton
          Left = 16
          Top = 48
          Width = 285
          Height = 17
          Caption = 'Create unique interfaces for each original interface'
          TabOrder = 1
          OnClick = onClickInterfaceMergeSettings
        end
        object MemoMergeHint: TMemo
          Tag = -1
          Left = 16
          Top = 126
          Width = 530
          Height = 98
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'Tahoma'
          Font.Style = []
          Lines.Strings = (
            
              'In concatenation mode, files will be concatenated in the order a' +
              's found in the file list, which is based on the '
            'timestamp of the first frame of each file.'
            ''
            
              'All interfaces found in all files are compared to each other by ' +
              'interface name and merged '
            'into a deduplicated set of interfaces')
          ParentFont = False
          ReadOnly = True
          TabOrder = 2
        end
        object RadioButtonMapToSingleInterface: TRadioButton
          Left = 16
          Top = 72
          Width = 253
          Height = 17
          Caption = 'Map all source interfaces to a single interface'
          TabOrder = 3
          OnClick = onClickInterfaceMergeSettings
        end
      end
    end
    object TabSheetInterfaceMappings: TTabSheet
      Caption = 'Interface Mappings'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'Tahoma'
      Font.Style = []
      ImageIndex = 3
      ParentFont = False
      object Splitter1: TSplitter
        Left = 0
        Top = 253
        Width = 575
        Height = 4
        Cursor = crVSplit
        Align = alTop
        ExplicitTop = 41
        ExplicitWidth = 779
      end
      object PanelFileMappings: TPanel
        Left = 0
        Top = 0
        Width = 575
        Height = 253
        Align = alTop
        BevelOuter = bvNone
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'Tahoma'
        Font.Style = []
        ParentFont = False
        TabOrder = 0
        object VSTInterfaceMappingList: TVirtualStringTree
          Left = 0
          Top = 0
          Width = 575
          Height = 253
          Align = alClient
          Colors.UnfocusedColor = clMedGray
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'Tahoma'
          Font.Style = []
          Header.AutoSizeIndex = 0
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          ParentFont = False
          PopupMenu = PopupMenuInterfaceMappingList
          TabOrder = 0
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowRoot, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines]
          TreeOptions.SelectionOptions = [toFullRowSelect]
          OnChange = onVSTInterfaceMappingListChange
          OnDrawText = onVSTInterfaceMappingListDrawText
          OnGetText = onVSTInterfaceMappingListGetText
          Columns = <
            item
              Position = 0
              Width = 330
              WideText = 'Files and Original Interface'
            end
            item
              Position = 1
              Width = 220
              WideText = 'Mapped Interface'
            end>
        end
      end
      object PanelInterfaceTargetList: TPanel
        Left = 0
        Top = 257
        Width = 575
        Height = 116
        Align = alClient
        BevelOuter = bvNone
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'Tahoma'
        Font.Style = []
        ParentFont = False
        TabOrder = 1
        object GroupBoxMappingDetails: TGroupBox
          Left = 0
          Top = 0
          Width = 575
          Height = 116
          Align = alClient
          Caption = 'Mapping Details'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWindowText
          Font.Height = -11
          Font.Name = 'Tahoma'
          Font.Style = []
          ParentFont = False
          TabOrder = 0
          DesignSize = (
            575
            116)
          object VSTTargetInterfaceList: TVirtualStringTree
            Left = 8
            Top = 23
            Width = 558
            Height = 79
            Anchors = [akLeft, akTop, akRight, akBottom]
            Colors.UnfocusedColor = clMedGray
            Header.AutoSizeIndex = 0
            Header.Font.Charset = DEFAULT_CHARSET
            Header.Font.Color = clWindowText
            Header.Font.Height = -11
            Header.Font.Name = 'Tahoma'
            Header.Font.Style = []
            Header.Options = [hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
            PopupMenu = PopupMenuTargetInterfaceList
            TabOrder = 0
            TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines]
            TreeOptions.SelectionOptions = [toFullRowSelect, toRightClickSelect]
            OnClick = onVSTTargetInterfaceListClick
            OnGetText = onVSTTargetInterfaceListGetText
            Columns = <
              item
                Position = 0
                Width = 40
                WideText = 'Index'
              end
              item
                Position = 1
                Width = 140
                WideText = 'Interface Name'
              end
              item
                Position = 2
                Width = 190
                WideText = 'Description'
              end
              item
                Position = 3
                Width = 80
                WideText = 'Link Type'
              end
              item
                Position = 4
                Width = 70
                WideText = 'Origin'
              end>
          end
        end
      end
    end
    object TabSheetFilterSettings: TTabSheet
      Caption = 'Filters'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'Tahoma'
      Font.Style = []
      ImageIndex = 2
      ParentFont = False
      DesignSize = (
        575
        373)
      object GroupBoxFilterAction: TGroupBox
        Left = 10
        Top = 3
        Width = 558
        Height = 70
        Anchors = [akLeft, akTop, akRight]
        Caption = 'Action'
        TabOrder = 0
        DesignSize = (
          558
          70)
        object RadioButtonFilterActionPassthrough: TRadioButton
          Left = 16
          Top = 20
          Width = 125
          Height = 17
          Caption = 'Passthrough'
          Checked = True
          TabOrder = 0
          TabStop = True
          OnClick = onClickFilterSettings
        end
        object RadioButtonFilterActionEnable: TRadioButton
          Left = 16
          Top = 43
          Width = 125
          Height = 17
          Caption = 'Filter Enabled'
          TabOrder = 1
          OnClick = onClickFilterSettings
        end
        object MemoFilterActionHint: TMemo
          Tag = -1
          Left = 136
          Top = 14
          Width = 409
          Height = 48
          Anchors = [akLeft, akTop, akRight, akBottom]
          Color = clInfoBk
          Lines.Strings = (
            
              'No filtering will be performed when writing merged frames to dis' +
              'k.')
          ReadOnly = True
          TabOrder = 2
        end
      end
      object GroupBoxFilterSettings: TGroupBox
        Left = 10
        Top = 79
        Width = 554
        Height = 285
        Anchors = [akLeft, akTop, akRight, akBottom]
        Caption = 'Filter Settings'
        TabOrder = 1
        DesignSize = (
          554
          285)
        object VSTFilterList: TVirtualStringTree
          Left = 12
          Top = 20
          Width = 533
          Height = 226
          Anchors = [akLeft, akTop, akRight, akBottom]
          Colors.UnfocusedColor = clMedGray
          Header.AutoSizeIndex = 1
          Header.Font.Charset = DEFAULT_CHARSET
          Header.Font.Color = clWindowText
          Header.Font.Height = -11
          Header.Font.Name = 'Tahoma'
          Header.Font.Style = []
          Header.Options = [hoAutoResize, hoColumnResize, hoDrag, hoShowSortGlyphs, hoVisible]
          PopupMenu = PopupMenuFilterList
          TabOrder = 0
          TreeOptions.PaintOptions = [toShowButtons, toShowDropmark, toShowHorzGridLines, toShowTreeLines, toShowVertGridLines, toThemeAware, toUseBlendedImages, toFullVertGridLines]
          TreeOptions.SelectionOptions = [toFullRowSelect, toMultiSelect, toRightClickSelect]
          OnChange = onVSTFilterListChange
          OnDblClick = onVSTFilterListDblClick
          OnGetText = onVSTFilterListGetText
          OnResize = onResizeVSTFilterList
          Columns = <
            item
              Position = 0
              WideText = 'Index'
            end
            item
              Position = 1
              Width = 479
              WideText = 'Filter'
            end>
        end
        object ButtonAddFilter: TButton
          Left = 12
          Top = 252
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Add Filter'
          DropDownMenu = PopupMenuFilterList
          Style = bsSplitButton
          TabOrder = 1
          OnClick = ButtonAddFilterClick
        end
        object ButtonEditFilter: TButton
          Left = 93
          Top = 252
          Width = 75
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Edit Filter'
          Enabled = False
          TabOrder = 2
          OnClick = ButtonEditFilterClick
        end
        object ButtonRemoveFilter: TButton
          Left = 174
          Top = 252
          Width = 83
          Height = 25
          Anchors = [akLeft, akBottom]
          Caption = '&Remove Filter'
          Enabled = False
          TabOrder = 3
          OnClick = ButtonRemoveFilterClick
        end
      end
    end
    object TabSheetOutput: TTabSheet
      Caption = 'Output'
      ImageIndex = 4
      DesignSize = (
        575
        373)
      object GroupBoxFileOutputNamingOptions: TGroupBox
        Left = 14
        Top = 7
        Width = 558
        Height = 150
        Anchors = [akLeft, akTop, akRight]
        Caption = 'File Output options'
        TabOrder = 0
        DesignSize = (
          558
          150)
        object LabelOutputFilename: TLabel
          Left = 16
          Top = 25
          Width = 46
          Height = 13
          Caption = 'Filename:'
        end
        object LabelWarningFileExists: TLabel
          Left = 105
          Top = 49
          Width = 408
          Height = 13
          Alignment = taCenter
          AutoSize = False
          Caption = 
            '*** Warning: output file already exists and will be overwritten ' +
            '***'
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clRed
          Font.Height = -11
          Font.Name = 'Tahoma'
          Font.Style = []
          ParentFont = False
          Visible = False
        end
        object EditOutputFilename: TEdit
          Left = 105
          Top = 22
          Width = 408
          Height = 21
          Anchors = [akLeft, akTop, akRight]
          TabOrder = 0
          OnChange = onChangeOutputFilename
        end
        object CheckBoxSetFileDateTo: TCheckBox
          Left = 16
          Top = 76
          Width = 157
          Height = 17
          Caption = 'Set output file timestamp to '
          Checked = True
          ParentShowHint = False
          ShowHint = False
          State = cbChecked
          TabOrder = 1
          OnClick = onClickOutputSettings
        end
        object ComboBoxSetFileTimestampScope: TComboBox
          Left = 178
          Top = 74
          Width = 183
          Height = 21
          Style = csDropDownList
          Enabled = False
          ItemIndex = 1
          TabOrder = 2
          Text = 'timestamp of first frame'
          OnChange = onChangeTimestampScope
          Items.Strings = (
            'original file timestamp of first file'
            'timestamp of first frame'
            'timestamp of last frame'
            'specific date')
        end
        object ButtonSelectOutputFilename: TButton
          Left = 519
          Top = 22
          Width = 21
          Height = 21
          Anchors = [akTop, akRight]
          Caption = '...'
          TabOrder = 3
          OnClick = ButtonSelectOutputFilenameClick
        end
        object DateTimePickerOutputFileTimestamp: TDateTimePicker
          Left = 371
          Top = 74
          Width = 98
          Height = 21
          Date = 41784.564736817130000000
          Time = 41784.564736817130000000
          TabOrder = 4
          Visible = False
        end
        object CheckBoxSetFileComment: TCheckBox
          Left = 16
          Top = 112
          Width = 125
          Height = 17
          Caption = 'Set file comment to'
          Checked = True
          State = cbChecked
          TabOrder = 5
        end
        object ComboBoxFileCommentSetting: TComboBox
          Left = 178
          Top = 110
          Width = 307
          Height = 21
          Style = csDropDownList
          ItemIndex = 0
          TabOrder = 6
          Text = 'list all source files merged (mergecap default)'
          Items.Strings = (
            'list all source files merged (mergecap default)'
            'only show the number of files merged')
        end
      end
    end
  end
  object PopupMenuInterfaceMappingList: TPopupMenu
    Left = 64
    Top = 100
    object MenuPopupMappingListExpandAll: TMenuItem
      Caption = 'E&xpand All'
      OnClick = MenuPopupMappingListExpandAllClick
    end
    object MenuPopupMappingListCollapseAll: TMenuItem
      Caption = '&Collapse All'
      OnClick = MenuPopupMappingListCollapseAllClick
    end
  end
  object PopupMenuTargetInterfaceList: TPopupMenu
    OnPopup = onTargetInterfaceListPopUp
    Left = 64
    Top = 147
    object MenuTargetInterfaceAdd: TMenuItem
      Caption = '&Add Interface'
      OnClick = MenuTargetInterfaceAddClick
    end
    object MenuTargetInterfaceEdit: TMenuItem
      Caption = '&Edit Interface'
      Enabled = False
      OnClick = MenuTargetInterfaceEditClick
    end
    object MenuTargetInterfaceDelete: TMenuItem
      Caption = '&Delete Interface'
      Enabled = False
      OnClick = MenuTargetInterfaceDeleteClick
    end
  end
  object SaveDialogTargetFile: TSaveDialog
    DefaultExt = 'pcapng'
    FileName = 'MergedFile'
    Filter = 'PCAPng Files (*.pcapng)|*.pcapng|All Files (*.*)|*.*'
    Options = [ofHideReadOnly, ofPathMustExist, ofEnableSizing]
    Left = 64
    Top = 200
  end
  object PopupMenuFilterList: TPopupMenu
    OnPopup = onPopupMenuFilterList
    Left = 62
    Top = 259
    object MenuFilterLookup: TMenuItem
      Caption = '&Lookup'
      OnClick = MenuFilterLookupClick
    end
  end
end
